/* ================================================================================= */
/* ================================================================================= */
/* ================================================================================= */
/* ================================================================================= */
/* ================================================================================= */
/* ================================================================================= */
/* ================================================================================= */
/* ================================================================================= */
/* ================================================================================= */
/* ================================================================================= */

.rmse__nav_burger {
	background: #232323;
    height: 50px;
    width: 50px;
    left: 31px;
    bottom: 18px;
    position: fixed;
    color: #fff;
    font-size: 20px;
    text-align: center;
    border-radius: 50%;
    line-height: 48px;
    border: 2px solid transparent;
    box-shadow: 0 0 10px 3px rgb(0 0 0 / 20%);
	z-index: 4000;
}

/* ================================================================================= */

.rmse__nav_overlay {
	position: fixed;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	background: rgb(0 0 0 / 50%);
	transition: 0.3s opacity ease-in-out;
	opacity: 0;
	transform: translateX(-100%);
	z-index: 5000;
}

/* ================================================================================= */

.rmse__nav_logo {
	width: 64px;
}

.rmse__nav_logo_parent {
	text-align: left;
	margin-top: 50px;
	padding: 0px 30px 0px 30px;
}

/* ================================================================================= */

.rmse__nav_menu {
	position: fixed;
	left: 0px;
	top: 0px;
	background: rgb(0 0 0 / 80%);
	width: 300px;
	height: 100%;
	transform: translateX(-100%);
	will-change: transform;
	transition: .3s transform linear;
	padding-top: 50px;
    padding-bottom: 50px;
	z-index: 6000;
}

.rmse__nav_menu ul {
	text-align: left;
}

.rmse__nav_menu li {
	padding: 0px 30px 0px 30px;
	border-bottom: 2px solid transparent;
	transition: .3s;
}

.rmse__nav_menu li:hover {
	border-color: #FFF;
	text-indent: 5px;
	cursor: pointer;
}

/* ================================================================================= */

.rmse__nav_label {
	text-indent: -5px;
}

/* ================================================================================= */

.rmse__nav_checkbox {
    appearance: none;
}

.rmse__nav_checkbox:checked ~ .rmse__nav_menu {
	transform: translateX(0);
}

.rmse__nav_checkbox:checked ~ .rmse__nav_overlay {
	pointer-events: initial;
	transform: translateX(0);
	opacity: 1;
}

/* ================================================================================= */